/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreClone;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreCloneRecord extends UpdatableRecordImpl<TCoreCloneRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_clone.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_clone.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_clone.pk</code>. unique id
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_clone.pk</code>. unique id
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_clone.original</code>. reference to
     * original element
     */
    public void setOriginal(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_clone.original</code>. reference to
     * original element
     */
    public Integer getOriginal() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_clone.cloned</code>. reference to
     * cloned element
     */
    public void setCloned(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_clone.cloned</code>. reference to
     * cloned element
     */
    public Integer getCloned() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_clone.finished</code>. timestamp of
     * finished clone
     */
    public void setFinished(LocalDateTime value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_clone.finished</code>. timestamp of
     * finished clone
     */
    public LocalDateTime getFinished() {
        return (LocalDateTime) get(4);
    }

    /**
     * Setter for <code>common_dd.t_core_clone.uuid</code>. unique id of clone
     * operation
     */
    public void setUuid(LocalDateTime value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_core_clone.uuid</code>. unique id of clone
     * operation
     */
    public LocalDateTime getUuid() {
        return (LocalDateTime) get(5);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreCloneRecord
     */
    public TCoreCloneRecord() {
        super(TCoreClone.T_CORE_CLONE);
    }

    /**
     * Create a detached, initialised TCoreCloneRecord
     */
    public TCoreCloneRecord(LocalDateTime lastchange, Integer pk, Integer original, Integer cloned, LocalDateTime finished, LocalDateTime uuid) {
        super(TCoreClone.T_CORE_CLONE);

        setLastchange(lastchange);
        setPk(pk);
        setOriginal(original);
        setCloned(cloned);
        setFinished(finished);
        setUuid(uuid);
        resetChangedOnNotNull();
    }
}
